CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

LeaderLength Property (ActiveX)

2023-1-3 12:22| 发布者: admin| 查看: 435| 评论: 0|来自: AutoCAD

摘要: 指定直径或半径尺寸上引线的长度。

指定直径或半径尺寸上引线的长度。

支持的平台:仅窗口

签名

工 务 局:

object.LeaderLength
对象

类型:暗径,暗径

此属性适用的对象。

属性值

只读:

类型:

引线的长度。

言论

这是从维度定义到维度的距离,指出维度将在哪里对注释文本进行水平狗腿(或者如果不需要狗腿,则停止)。(有关详细信息,请参阅理论方法。LeaderLengthChordPointAddDimDiametricAddDimRadial

注意:该设置将仅在创建维度期间使用。保存维度后,更改值不会影响维度的显示方式。该属性用于计算引线位置。该值不会保存,因此在读取时将始终返回零。LeaderLengthLeaderLengthLeaderLength

例子

工 务 局:

Sub Example_LeaderLength()
    ' This example creates a diametric dimension
    ' and returns the LeaderLength for that dimension.
    
    Dim dimObj As AcadDimDiametric
    Dim chordPoint(0 To 2) As Double
    Dim farChordPoint(0 To 2) As Double
    Dim leaderLength As Double
    
    ' Define the dimension
    chordPoint(0) = 5#: chordPoint(1) = 3#: chordPoint(2) = 0#
    farChordPoint(0) = 5#: farChordPoint(1) = 5#: farChordPoint(2) = 0#
    leaderLength = 1#
    
    ' Create the diametric dimension in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimDiametric(chordPoint, farChordPoint, leaderLength)
    ZoomAll
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_LeaderLength()
    ;; This example creates a diametric dimension
    ;; and returns the LeaderLength for that dimension.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq chordPoint (vlax-3d-point 5 3 0)
          farChordPoint (vlax-3d-point 5 5 0)
          leaderLength 1)
    
    ;; Create the diametric dimension in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimDiametric modelSpace chordPoint farChordPoint leaderLength))
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 23:48

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部